﻿using Syncfusion.Windows.Controls.Gantt;
using Syncfusion.Windows.Controls.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace test_Gantt_002
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
        }

        private void GanttControl_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            GanttControl gantt = sender as GanttControl;
            //Getting nodes collection of Gantt grid control
            var nodeCollection = gantt.GanttGrid.InternalGrid.Nodes;
            foreach(GridTreeNode node in nodeCollection)
            {
                if(node.IsSelected)
                {
                    Model item = node.Item as Model;
                    string s = item.TaskName; //selected object Gannt  Task
                    string d1 = item.Start.ToString(); //selected object Gannt Start Date
                    string d2 = item.Finish.ToString(); //selected object Gannt  Stop Date
                    Form2 f = new Form2(s, d1, d2);
                    f.Show();
                }
            }
        }
    }
}
